org.apache.sysds.runtime.controlprogram.caching

## Enum MatrixObject.UpdateType

- java.lang.Object
- - java.lang.Enum<MatrixObject.UpdateType>
  - - org.apache.sysds.runtime.controlprogram.caching.MatrixObject.UpdateType

- All Implemented Interfaces:
    Serializable, Comparable<MatrixObject.UpdateType>
  Enclosing class:
    MatrixObject

      public static enum MatrixObject.UpdateType
      extends Enum<MatrixObject.UpdateType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COPY`
    `INPLACE`
    `INPLACE_PINNED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isInPlace()`
    `static MatrixObject.UpdateType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MatrixObject.UpdateType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COPY

          public static final MatrixObject.UpdateType COPY

    - #### INPLACE

          public static final MatrixObject.UpdateType INPLACE

    - #### INPLACE_PINNED

          public static final MatrixObject.UpdateType INPLACE_PINNED

  - ### Method Detail

    - #### values

          public static MatrixObject.UpdateType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MatrixObject.UpdateType c : MatrixObject.UpdateType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MatrixObject.UpdateType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isInPlace

          public boolean isInPlace()

Copyright © 2021 The Apache Software Foundation. All rights reserved.